
QGIS Application - Bug report #18089

QGIS server 2.99 error on every WMS request (except GetCapabilities)

2018-02-13 02:48 PM - Rémi Bonnefoi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:master Regression?: Yes

Operating System: linux debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 25985

Description

Hi all,

I did an update a few days ago of the QGIS server 2.99 on my own server (Debian) and since then, I am unable to load any WMS layer,

neither through a web request nor through a QGIS client.

The first way returns an Error 500 saying "Internal Server Error - The server encountered an internal error or misconfiguration and was

unable to complete your request."

The second way leaves a message in the QGIS client log manager : "WARNING Map request error (Anwser : error transferring http://xxxx

(my server) - server replied Internal server error).

I can't find any useful additionnal informations in server logs (neither the qgis apache log nor the qgis server specific log, which is even

not created).

Thank you.

Best regards,

Remi.

History

#1 - 2018-02-13 04:24 PM - Rémi Bonnefoi

Dear all,

The problem is finally solved. It came from a WFS layer which was causing the error (maybe because a cross origin ?).

I leave the problem opened as I think the QGIS server behavior is not nominal in my opinion.

Thanks.

Remi.

#2 - 2018-02-13 05:11 PM - Rémi Bonnefoi

Problem is back once I added again the layer, even if this time it was through an ESRI SHP format (and not WFS).
http://xxxx


I checked the geometry, there are many errors but according to me, it shouldn't prevent the QGIS server from displaying the layer (as the QGIS client

manages to display it).

Moreover, it should not stuck the whole WMS service of the QGIS server.

Feel free to ask for further details if needed (as far as I am able to give them).

If you want to test the problem I am facing to, here is the WFS source of the faulty layer : 

http://wxs-gpu.mongeoportail.ign.fr/externe/39wtxmgtn23okfbbs1al2lz3/wfs. The layer is wfs_du:zone_urba

Thanks.

Remi.

#3 - 2018-02-14 04:48 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Looking now ...

#4 - 2018-02-14 07:08 PM - Alessandro Pasotti

- Status changed from Open to Closed

- Resolution set to worksforme

I checked your cascaded WFS wfs_du:zone_urba served by QGIS Server as a WMS with no issue.

Btw, the first time I checked I wasn't even able to open the WFS in QGIS desktop: I got an invalid XML error from the ign server, but it probably was a

temporary issue because I can now open that layer with no problems even at full extent.

Please re-open this ticket if you have further details.

#5 - 2018-02-14 07:13 PM - Alessandro Pasotti

I've got the errors again, there is probably something wierd in the WFS endpoint:

2018-02-14T19:11:14    WARNING    Error when parsing GetFeature response : Error: reference to invalid character number on line 1, column 35056978

2018-02-14T19:11:14    WARNING    Retrying request 

http://wxs-gpu.mongeoportail.ign.fr/externe/39wtxmgtn23okfbbs1al2lz3/wfs?SERVICE=WFS&#38;REQUEST=GetFeature&#38;VERSION=2.0.0&#38;T

PENAMES=wfs_du:zone_urba&#38;STARTINDEX=40000&#38;COUNT=10000&#38;SRSNAME=urn:ogc:def:crs:EPSG::4326&#38;BBOX=40.14001489532276423,-11.48919335849281786,52.86161699510486756,19.8434259028186375,urn:ogc:def:crs:EPSG::4326

9532276423,-11.48919335849281786,52.86161699510486756,19.8434259028186375,urn:ogc:def:crs:EPSG::4326: 1/3

2018-02-14T19:11:52    WARNING    Error when parsing GetFeature response : Error: reference to invalid character number on line 1, column 35056978

2018-02-14T19:11:52    WARNING    Retrying request 

http://wxs-gpu.mongeoportail.ign.fr/externe/39wtxmgtn23okfbbs1al2lz3/wfs?SERVICE=WFS&#38;REQUEST=GetFeature&#38;VERSION=2.0.0&#38;T

PENAMES=wfs_du:zone_urba&#38;STARTINDEX=40000&#38;COUNT=10000&#38;SRSNAME=urn:ogc:def:crs:EPSG::4326&#38;BBOX=40.14001489532276423,-11.48919335849281786,52.86161699510486756,19.8434259028186375,urn:ogc:def:crs:EPSG::4326

9532276423,-11.48919335849281786,52.86161699510486756,19.8434259028186375,urn:ogc:def:crs:EPSG::4326: 2/3

2018-02-14T19:12:23    WARNING    Error when parsing GetFeature response : Error: reference to invalid character number on line 1, column 35056978

2018-02-14T19:12:23    WARNING    Retrying request 

http://wxs-gpu.mongeoportail.ign.fr/externe/39wtxmgtn23okfbbs1al2lz3/wfs?SERVICE=WFS&#38;REQUEST=GetFeature&#38;VERSION=2.0.0&#38;T

PENAMES=wfs_du:zone_urba&#38;STARTINDEX=40000&#38;COUNT=10000&#38;SRSNAME=urn:ogc:def:crs:EPSG::4326&#38;BBOX=40.14001489532276423,-11.48919335849281786,52.86161699510486756,19.8434259028186375,urn:ogc:def:crs:EPSG::4326
9532276423,-11.48919335849281786,52.86161699510486756,19.8434259028186375,urn:ogc:def:crs:EPSG::4326: 3/3

#6 - 2018-02-26 03:36 PM - Rémi Bonnefoi

Dear Alessandro,

Once again, many thanks for the time you spent on the problem.

I will info IGN of the problem.

Remi.
